Page MenuHomePhabricator

VisualEditor: autocomplete for wikilinks "aggressively" chooses what to link
Closed, ResolvedPublic

Description

<<When I was trying to add a link to Classic XI, (didn't know it didn't exist) it repeatedly took the word "Classic" and continually tried to make the link go to Classical music. [...] --buffbills7701 19:42, 1 August 2013 (UTC)>>

I tested this as well with Vector on both Chrome and FF, on it.wiki with the word Lettera (which is an existing page), it keeps insisting that I must link to Letteratura instead. I tried a workaround and was able to get Lettere, but it ain't the same thing.
Thanks!


Version: unspecified
Severity: critical

Details

Reference
bz52420

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 22 2014, 1:44 AM
bzimport set Reference to bz52420.
Elitre created this task.Aug 1 2013, 9:10 PM
  • Bug 52421 has been marked as a duplicate of this bug. ***

I was 25 seconds too slow reporting Bug 52421, but I did include steps to reproduce:
1.Load a page in VE
2.Press ctrl+k to enter a link
3.Try to enter a link to [[Portable Network Graphics]], [[Classic (album)]] or
[[Thing (assembly)]].

I've also found a workaround - continue typing the link you want after it's suggestion, then select and delete what it inserted that you don't want.

Elitre added a comment.Aug 1 2013, 9:34 PM

I did not know this was a competition, so more from me as well! :p
The "workaround" is what I mentioned earlier, but it won't always work.
With it I managed to get "Lettere": it autocompleted to Letteratura, then I put the "e" after the first "r" and cut the rest. But, it did not work to get to "Lettera", which was my intended outcome.
This also happens if I am interested in, say, "Letteratura tedesca": it won't appear in the drop down list, and I am not even allowed to write it. The only way to get there is writing "letteraturatedesca" instead, and adding the space later. This makes sense to VE! Thanks.

Change 77264 had a related patch set uploaded by Trevor Parscal:
Don't override link target input value while typing

https://gerrit.wikimedia.org/r/77264

Change 77264 merged by jenkins-bot:
Don't override link target input value while typing

https://gerrit.wikimedia.org/r/77264

Fixed and will be deployed tonight.